Loading...
Searching...
No Matches
BALL::NMRStarFile::SampleCondition Class Reference

`#include <BALL/FORMAT/NMRStarFile.h>`

## Public Member Functions

| SampleCondition ()
bool | hasType (String type)
std::ostream & | operator>> (std::ostream &s)

## Public Attributes

String | name
vector< String > | types
StringHashMap< float > | values
StringHashMap< float > | errors
StringHashMap< String > | units

## Detailed Description

SampleConditions. This class includes all information for a set of samples delivered by a NMRStar file. All members are public for easy access.

Definition at line 135 of file NMRStarFile.h.

## Constructor & Destructor Documentation

## SampleCondition()

BALL::NMRStarFile::SampleCondition::SampleCondition | ( |  | ) |

## Member Function Documentation

## hasType()

bool BALL::NMRStarFile::SampleCondition::hasType | ( | String | type | ) |

inline

Definition at line 151 of file NMRStarFile.h.

## operator>>()

std::ostream & BALL::NMRStarFile::SampleCondition::operator>> | ( | std::ostream & | s | ) |

## Member Data Documentation

## errors

StringHashMap<float> BALL::NMRStarFile::SampleCondition::errors

Definition at line 148 of file NMRStarFile.h.

## name

String BALL::NMRStarFile::SampleCondition::name

Definition at line 142 of file NMRStarFile.h.

## types

vector<String> BALL::NMRStarFile::SampleCondition::types

Definition at line 146 of file NMRStarFile.h.

## units

StringHashMap<String> BALL::NMRStarFile::SampleCondition::units

Definition at line 149 of file NMRStarFile.h.

## values

StringHashMap<float> BALL::NMRStarFile::SampleCondition::values

Definition at line 147 of file NMRStarFile.h.